Commit 47fe4ec4 authored by nimrod's avatar nimrod
Browse files

s/which/command -v/g (which is missing in some installations).

parent b22ab4bf
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
! which aws_completer >/dev/null || complete -C 'aws_completer' aws
! command -v aws_completer >/dev/null || complete -C 'aws_completer' aws
+1 −1
Original line number Diff line number Diff line
@@ -191,7 +191,7 @@ then
    do
        [ ! -f "$sourcefile" ] || . "$sourcefile"
    done
    ! which direnv > /dev/null || eval $(direnv hook bash)
    ! command -v direnv > /dev/null || eval $(direnv hook bash)
fi


+1 −1
Original line number Diff line number Diff line
@@ -6,7 +6,7 @@ die () {
    exit 1
}

which ip > /dev/null || die "Can't find ip."
command -v ip > /dev/null || die "Can't find ip."
alias ssh='ssh -o "UserKnownHostsFile /dev/null" -o "StrictHostKeyChecking no" -i "$HOME/.ssh/bullguard-box_rsa" -l root -p 64222'


+1 −1
Original line number Diff line number Diff line
#!/bin/sh
set -eu

if ! which dconf > /dev/null
if ! command -v dconf > /dev/null
then
    echo "Can't find dconf, exiting."
    exit 0
+2 −2
Original line number Diff line number Diff line
#!/bin/sh
set -eu

! which pandoc > /dev/null || pandoc --bash-completion > "$HOME/.bash_completion.d/pandoc"
! which pipenv > /dev/null || pipenv --completion > "$HOME/.bash_completion.d/pipenv"
! command -v pandoc > /dev/null || pandoc --bash-completion > "$HOME/.bash_completion.d/pandoc"
! command -v pipenv > /dev/null || pipenv --completion > "$HOME/.bash_completion.d/pipenv"
Loading